*** pfblockerng.sh.orig	Sat Jun  1 09:35:17 2019
--- pfblockerng.sh	Sat Jun  1 09:36:13 2019
***************
*** 115,125 ****
  }
  
  
! # Function to write '1.1.1.1' to 'empty' final blocklist files.
  emptyfiles() {
  	emptyfiles="$(find ${pfbdeny}*.txt -size 0 2>/dev/null)"
  	for i in ${emptyfiles}; do
! 		echo '1.1.1.1' > "${i}";
  	done
  }
  
--- 115,125 ----
  }
  
  
! # Function to write '192.0.2.0' to 'empty' final blocklist files.
  emptyfiles() {
  	emptyfiles="$(find ${pfbdeny}*.txt -size 0 2>/dev/null)"
  	for i in ${emptyfiles}; do
! 		echo '192.0.2.0' > "${i}";
  	done
  }
  
***************
*** 989,997 ****
  		wc -l "${pfbnative}"*.txt 2>/dev/null | sort -n -r
  	fi
  	if [ -d "${pfbdeny}" ] && [ "$(ls -A ${pfbdeny})" ]; then
! 		emptylists="$(grep '^1\.1\.1\.1$' ${pfbdeny}*.txt | sed -e 's/^.*[a-zA-Z]\///' -e 's/\.txt:1.1.1.1/ /')"
  		if [ ! -z "${emptylists}" ]; then
! 			echo; echo '====================[ Empty Lists w/1.1.1.1 ]=================='; echo
  			for list in ${emptylists}; do
  				echo "${list}"
  			done
--- 989,997 ----
  		wc -l "${pfbnative}"*.txt 2>/dev/null | sort -n -r
  	fi
  	if [ -d "${pfbdeny}" ] && [ "$(ls -A ${pfbdeny})" ]; then
! 		emptylists="$(grep '^192\.0\.2\.0$' ${pfbdeny}*.txt | sed -e 's/^.*[a-zA-Z]\///' -e 's/\.txt:192.0.2.0/ /')"
  		if [ ! -z "${emptylists}" ]; then
! 			echo; echo '====================[ Empty Lists w/192.0.2.0 ]=================='; echo
  			for list in ${emptylists}; do
  				echo "${list}"
  			done
*** pfblockerng.inc.orig	Sat Jun  1 09:35:11 2019
--- pfblockerng.inc	Sat Jun  1 09:36:57 2019
***************
*** 115,121 ****
  }
  
  // Default cURL options
! $pfb['curl_defaults'] = array(  CURLOPT_USERAGENT	=> 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 Chrome/43.0.2357.65 Safari/537.36',
  				CURLOPT_SSL_CIPHER_LIST	=> 'TLSv1.3, TLSv1.2',
  				CURLOPT_FOLLOWLOCATION	=> true,
  				CURLOPT_SSL_VERIFYPEER	=> true,
--- 115,121 ----
  }
  
  // Default cURL options
! $pfb['curl_defaults'] = array(  CURLOPT_USERAGENT	=> 'curl',
  				CURLOPT_SSL_CIPHER_LIST	=> 'TLSv1.3, TLSv1.2',
  				CURLOPT_FOLLOWLOCATION	=> true,
  				CURLOPT_SSL_VERIFYPEER	=> true,
***************
*** 726,734 ****
  		pfb_logger("\n  DNSBL: Flush DNSBL_IP", 1);
  		// Flush DNSBL IPs aliastable when empty
  		exec("{$pfb['pfctl']} -t pfB_DNSBLIP -T flush 2>&1", $result);
! 		// Add empty placeholder '1.1.1.1' to aliastable
! 		exec("{$pfb['pfctl']} -t pfB_DNSBLIP -T add 1.1.1.1");
! 		@file_put_contents("{$pfb['aliasdir']}/pfB_DNSBLIP.txt", "1.1.1.1\n", LOCK_EX);
  	}
  }
  
--- 726,734 ----
  		pfb_logger("\n  DNSBL: Flush DNSBL_IP", 1);
  		// Flush DNSBL IPs aliastable when empty
  		exec("{$pfb['pfctl']} -t pfB_DNSBLIP -T flush 2>&1", $result);
! 		// Add empty placeholder '192.0.2.0' to aliastable
! 		exec("{$pfb['pfctl']} -t pfB_DNSBLIP -T add 192.0.2.0");
! 		@file_put_contents("{$pfb['aliasdir']}/pfB_DNSBLIP.txt", "192.0.2.0\n", LOCK_EX);
  	}
  }
  
***************
*** 3782,3789 ****
  				exec("{$pfb['pfctl']} -t pfB_DNSBLIP -T replace -f {$pfb['aliasdir']}/pfB_DNSBLIP.txt 2>&1", $result);
  			} else {
  				exec("{$pfb['pfctl']} -t pfB_DNSBLIP -T flush 2>&1");
! 				exec("{$pfb['pfctl']} -t pfB_DNSBLIP -T add 1.1.1.1");
! 				@file_put_contents("{$pfb['aliasdir']}/pfB_DNSBLIP.txt", "1.1.1.1\n", LOCK_EX);
  			}
  		}
  
--- 3782,3789 ----
  				exec("{$pfb['pfctl']} -t pfB_DNSBLIP -T replace -f {$pfb['aliasdir']}/pfB_DNSBLIP.txt 2>&1", $result);
  			} else {
  				exec("{$pfb['pfctl']} -t pfB_DNSBLIP -T flush 2>&1");
! 				exec("{$pfb['pfctl']} -t pfB_DNSBLIP -T add 192.0.2.0");
! 				@file_put_contents("{$pfb['aliasdir']}/pfB_DNSBLIP.txt", "192.0.2.0\n", LOCK_EX);
  			}
  		}
  
***************
*** 4028,4036 ****
  								}
  
  								if ($file_chk <= 1) {
! 									@file_put_contents("{$pfbfolder}/{$ccfile}.txt", "1.1.1.1\n", LOCK_EX);
  									@copy("{$pfbfolder}/{$ccfile}.txt", "{$pfb['aliasdir']}/{$ccfile}.txt");
! 									$log = "[ {$pfb_alias}{$vtype} ] Found no unique IPs, adding '1.1.1.1' to avoid empty file\n";
  									pfb_logger("{$log}", 1);
  								}
  							}
--- 4028,4036 ----
  								}
  
  								if ($file_chk <= 1) {
! 									@file_put_contents("{$pfbfolder}/{$ccfile}.txt", "192.0.2.0\n", LOCK_EX);
  									@copy("{$pfbfolder}/{$ccfile}.txt", "{$pfb['aliasdir']}/{$ccfile}.txt");
! 									$log = "[ {$pfb_alias}{$vtype} ] Found no unique IPs, adding '192.0.2.0' to avoid empty file\n";
  									pfb_logger("{$log}", 1);
  								}
  							}
***************
*** 4428,4435 ****
  								}
  
  								if ($file_chk == 0) {
! 									$ip_data = "1.1.1.1\n";
! 									$log = "  Empty file, Adding '1.1.1.1' to avoid download failure.\n";
  									pfb_logger("{$log}", 1);
  								}
  							}
--- 4428,4435 ----
  								}
  
  								if ($file_chk == 0) {
! 									$ip_data = "192.0.2.0\n";
! 									$log = "  Empty file, Adding '192.0.2.0' to avoid download failure.\n";
  									pfb_logger("{$log}", 1);
  								}
  							}
*** pfblockerng_install.inc.orig	Sat Jun  1 09:35:25 2019
--- pfblockerng_install.inc	Sat Jun  1 09:37:22 2019
***************
*** 56,62 ****
  				break;
  			}
  
! 			curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 Chrome/43.0.2357.65 Safari/537.36');
  			curl_setopt($ch, CURLOPT_SSL_CIPHER_LIST, 'TLSv1.3, TLSv1.2');
  			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
  			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
--- 56,62 ----
  				break;
  			}
  
! 			curl_setopt($ch, CURLOPT_USERAGENT, 'curl');
  			curl_setopt($ch, CURLOPT_SSL_CIPHER_LIST, 'TLSv1.3, TLSv1.2');
  			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
  			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
